public class Salto
{ 
  private int[] misure;
  private String[] nomi;
  private int numIscritti;

  public Salto(int maxIscritti)
  {
	  nomi=new String[maxIscritti];
    misure=new int[maxIscritti];
    azzera();
  }

  public void azzera()
  {
	  numIscritti=0;
    for (int i=0; i<nomi.length; i++)
      nomi[i]="";
    for(int j=0; j<misure.length; j++)
      misure[j]=0;
  }

  protected int cerca(String nome)
  { 
     for(int i=0; i<numIscritti; i++)
       if(nomi[i].equals(nome))
         return i+1;
     return 0;
  }

  public void iscrivi(String nome)
  { 
	 if ((cerca(nome)==0) && (numIscritti<nomi.length))
     {
       nomi[numIscritti]=nome;
       numIscritti++;
     }
  }

  public void misura(String nome,int mis)
  {
    int numGara=cerca(nome);

    if ((numGara!=0) && (misure[numGara-1]<mis))
      misure[numGara-1]=mis;
  }

  public int numIscritti()
  {
    return numIscritti;
  }

  public String getVincitore()
  {
    int index=0;
    int max=0;

    if (numIscritti>0)
	{
      for (int i=0; i<numIscritti; i++)
  	   if (misure[i]>max)
	   {
		 max=misure[i];
		 index=i;
	   }
	   return nomi[index];
	}
	return "";
  }
}